# imports 
import sys
import os

from System.Diagnostics import Process
from System.Net import WebClient




# This is a cforge command (script file)
# this will be run as ironpython script.
# the filename of this script is automatically the corresponding cforge command 
# with some magic functions you can easily integrate it nicely into cforge tool

# cforge_usage: 
# here you can return an array of all possible arguments and options that can 
# be passed to this command script
def cforge_usage():
    help = [ 
	    ["<url_to_package>", "download and install a codesys package"],
	    ["<local path of package>", "install a local codesys package"]
    ]

    return help



if len(sys.argv) == 1:
    print("Oh, there are no arguments. Perhaps you forgot something?")
    sys.exit()

# download 

workingdir = os.path.dirname(sys.argv[0])

downloaddir = os.path.join(workingdir, "downloads")
if not os.path.exists(downloaddir):
    os.makedirs(downloaddir)

url = str(sys.argv[1])

print(url)

localname = os.path.join(downloaddir, url.split("\\")[-1])
print(localname)


web_client = WebClient()
web_client.DownloadFile(url, localpath)


# and install local package now:
Process.Start(localpath)



		
